Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class SimpleJavaAccessNode

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.SimpleJavaAccessNode

All Implemented Interfaces:
  AccessNodeInterface, JavaNode, Node

Direct Known Subclasses:
  AccessNode, ASTAnnotationMethodDeclaration

    public class SimpleJavaAccessNode

extends SimpleJavaNode
implements AccessNodeInterface

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Fields inherited from interface net.sourceforge.pmd.ast.AccessNodeInterface
`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

Constructor Summary
`SimpleJavaAccessNode(int i)`
`SimpleJavaAccessNode(JavaParser parser, int i)`

Method Summary
`java.lang.String` | `collectDumpedModifiers(java.lang.String prefix)`
`int` | `getModifiers()`
`boolean` | `isAbstract()`
`boolean` | `isFinal()`
`boolean` | `isNative()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`boolean` | `isStrictfp()`
`boolean` | `isSynchronized()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`void` | `setAbstract()`
`void` | `setAbstract(boolean isAbstract)`
`void` | `setFinal()`
`void` | `setFinal(boolean isFinal)`
`void` | `setModifiers(int modifiers)`
`void` | `setNative()`
`void` | `setNative(boolean isNative)`
`void` | `setPrivate()`
`void` | `setPrivate(boolean isPrivate)`
`void` | `setProtected()`
`void` | `setProtected(boolean isProtected)`
`void` | `setPublic()`
`void` | `setPublic(boolean isPublic)`
`void` | `setStatic()`
`void` | `setStatic(boolean isStatic)`
`void` | `setStrictfp()`
`void` | `setStrictfp(boolean isStrictfp)`
`void` | `setSynchronized()`
`void` | `setSynchronized(boolean isSynchronized)`
`void` | `setTransient()`
`void` | `setTransient(boolean isTransient)`
`void` | `setVolatile()`
`void` | `setVolatile(boolean isVolative)`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getLabel, getNthParent, getParentsOfType, getScope, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setScope, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### SimpleJavaAccessNode

    public SimpleJavaAccessNode(int i)

### SimpleJavaAccessNode

    public SimpleJavaAccessNode(JavaParser parser,
                                int i)

Method Detail

### getModifiers

    public int getModifiers()

  Specified by:
    `getModifiers` in interface `AccessNodeInterface`

### setModifiers

    public void setModifiers(int modifiers)

  Specified by:
    `setModifiers` in interface `AccessNodeInterface`

### isPublic

    public boolean isPublic()

  Specified by:
    `isPublic` in interface `AccessNodeInterface`

### setPublic

    public void setPublic()

  Specified by:
    `setPublic` in interface `AccessNodeInterface`

### setPublic

    public void setPublic(boolean isPublic)

  Specified by:
    `setPublic` in interface `AccessNodeInterface`

### isProtected

    public boolean isProtected()

  Specified by:
    `isProtected` in interface `AccessNodeInterface`

### setProtected

    public void setProtected()

  Specified by:
    `setProtected` in interface `AccessNodeInterface`

### setProtected

    public void setProtected(boolean isProtected)

  Specified by:
    `setProtected` in interface `AccessNodeInterface`

### isPrivate

    public boolean isPrivate()

  Specified by:
    `isPrivate` in interface `AccessNodeInterface`

### setPrivate

    public void setPrivate()

  Specified by:
    `setPrivate` in interface `AccessNodeInterface`

### setPrivate

    public void setPrivate(boolean isPrivate)

  Specified by:
    `setPrivate` in interface `AccessNodeInterface`

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `AccessNodeInterface`

### setAbstract

    public void setAbstract()

  Specified by:
    `setAbstract` in interface `AccessNodeInterface`

### setAbstract

    public void setAbstract(boolean isAbstract)

  Specified by:
    `setAbstract` in interface `AccessNodeInterface`

### isStatic

    public boolean isStatic()

  Specified by:
    `isStatic` in interface `AccessNodeInterface`

### setStatic

    public void setStatic()

  Specified by:
    `setStatic` in interface `AccessNodeInterface`

### setStatic

    public void setStatic(boolean isStatic)

  Specified by:
    `setStatic` in interface `AccessNodeInterface`

### isFinal

    public boolean isFinal()

  Specified by:
    `isFinal` in interface `AccessNodeInterface`

### setFinal

    public void setFinal()

  Specified by:
    `setFinal` in interface `AccessNodeInterface`

### setFinal

    public void setFinal(boolean isFinal)

  Specified by:
    `setFinal` in interface `AccessNodeInterface`

### isSynchronized

    public boolean isSynchronized()

  Specified by:
    `isSynchronized` in interface `AccessNodeInterface`

### setSynchronized

    public void setSynchronized()

  Specified by:
    `setSynchronized` in interface `AccessNodeInterface`

### setSynchronized

    public void setSynchronized(boolean isSynchronized)

  Specified by:
    `setSynchronized` in interface `AccessNodeInterface`

### isNative

    public boolean isNative()

  Specified by:
    `isNative` in interface `AccessNodeInterface`

### setNative

    public void setNative()

  Specified by:
    `setNative` in interface `AccessNodeInterface`

### setNative

    public void setNative(boolean isNative)

  Specified by:
    `setNative` in interface `AccessNodeInterface`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `AccessNodeInterface`

### setTransient

    public void setTransient()

  Specified by:
    `setTransient` in interface `AccessNodeInterface`

### setTransient

    public void setTransient(boolean isTransient)

  Specified by:
    `setTransient` in interface `AccessNodeInterface`

### isVolatile

    public boolean isVolatile()

  Specified by:
    `isVolatile` in interface `AccessNodeInterface`

### setVolatile

    public void setVolatile()

  Specified by:
    `setVolatile` in interface `AccessNodeInterface`

### setVolatile

    public void setVolatile(boolean isVolative)

  Specified by:
    `setVolatile` in interface `AccessNodeInterface`

### isStrictfp

    public boolean isStrictfp()

  Specified by:
    `isStrictfp` in interface `AccessNodeInterface`

### setStrictfp

    public void setStrictfp()

  Specified by:
    `setStrictfp` in interface `AccessNodeInterface`

### setStrictfp

    public void setStrictfp(boolean isStrictfp)

  Specified by:
    `setStrictfp` in interface `AccessNodeInterface`

### isPackagePrivate

    public boolean isPackagePrivate()

  Specified by:
    `isPackagePrivate` in interface `AccessNodeInterface`

### collectDumpedModifiers

    public java.lang.String collectDumpedModifiers(java.lang.String prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.